Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2b
Class LongMinMaxExpression

    java.lang.Object
      |
      +--examples.e2e.b2b.LongMinMaxExpression

public class LongMinMaxExpression
extends java.lang.Object

`LongMinMaxExpression` is used in conjunction with `LongValueValidator` to specify the minimum and maximum allowed values for a java `long` value.

See Also:
  `LongValueValidator`

Constructor Summary
`LongMinMaxExpression()` Constructs a `LongMinMaxExpression` where the minimum value is `java.lang.Long.MIN_VALUE` and the maximum value is `java.lang.Long.MAX_VALUE`.
`LongMinMaxExpression(long min, long max)` Constructs a `LongMinMaxExpression` with the specifed minimum and maximum values.

Method Summary
`long` | `max()` Obtain the maximum value for this expression.
`long` | `min()` Obtain the minimum value for this expression.
`LongMinMaxExpression` | `set(long min, long max)` Set the minimum and maximum values for this expression.
`void` | `setMax(long max)` Set the maximum value for this expression.
`void` | `setMin(long min)` Set the minimum value for this expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongMinMaxExpression

    public LongMinMaxExpression()

  Constructs a `LongMinMaxExpression` where the minimum value is `java.lang.Long.MIN_VALUE` and the maximum value is `java.lang.Long.MAX_VALUE`.

### LongMinMaxExpression

    public LongMinMaxExpression(long min,
                                long max)

  Constructs a `LongMinMaxExpression` with the specifed minimum and maximum values.

  Parameters:
    `min` - the minimum value for the expression.
    `max` - the maximum value for the expression.

Method Detail

### min

    public long min()

  Obtain the minimum value for this expression.

### max

    public long max()

  Obtain the maximum value for this expression.

### setMin

    public void setMin(long min)

  Set the minimum value for this expression.

### setMax

    public void setMax(long max)

  Set the maximum value for this expression.

### set

    public LongMinMaxExpression set(long min,
                                    long max)

  Set the minimum and maximum values for this expression.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved